| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Attributes | List of all members
IG.Num.SimKosecConst Class Reference

Constants for (optimization) interface with the simulation code of Gregor Kosec. More...

## Public Attributes
const string | ExecutableNameConvectionObstacles = "CavityProblem.exe"
const string | CsvSeparatorDefault = ";"
| Default separator used in CSV files. More...
const string | CommentLineString = "-------- "
| Comment introduction string (for 1 line comments). More...
const string | TemplateInputFileNameDefault = "template.par"
| Default name for template for input file. In optimization, this file is read, modified according to parameters, and stored as input file before simulation is run. More...
const string | InputFileNameDefault = "default.par"
| Default name of the simulation input file. More...
const string | ExecutableFilenameDefault = "CavityProblem.exe"
| Default name of executable. More...
const string | OutputDirectortyBaseDefault = "RawData"
| Default name of the base directory for output files. More...
const string | OptimizationOutputFileName = "optim.csv"
| Name of the file where optimization results are found. More...

## Detailed Description

Constants for (optimization) interface with the simulation code of Gregor Kosec.

$A Igor Aug11;

## Member Data Documentation

const string IG.Num.SimKosecConst.ExecutableNameConvectionObstacles = "CavityProblem.exe"

const string IG.Num.SimKosecConst.CsvSeparatorDefault = ";"

Default separator used in CSV files.

const string IG.Num.SimKosecConst.CommentLineString = "-------- "

Comment introduction string (for 1 line comments).

Referenced by IG.Num.SimKosecFileManagerBase.AddInputComment().

const string IG.Num.SimKosecConst.TemplateInputFileNameDefault = "template.par"

Default name for template for input file. In optimization, this file is read, modified according to parameters, and stored as input file before simulation is run.

const string IG.Num.SimKosecConst.InputFileNameDefault = "default.par"

Default name of the simulation input file.

const string IG.Num.SimKosecConst.ExecutableFilenameDefault = "CavityProblem.exe"

Default name of executable.

const string IG.Num.SimKosecConst.OutputDirectortyBaseDefault = "RawData"

Default name of the base directory for output files.

const string IG.Num.SimKosecConst.OptimizationOutputFileName = "optim.csv"

Name of the file where optimization results are found.

The documentation for this class was generated from the following file:

- igbase/interfaces/simulations/Kosec/SimKosecConst.cs